/*
    Patch AbortPkt () to send an ACTION_ABORT packet
    (instead of doing nothing)
*/

#include <dos/dos.h>
#include <proto/exec.h>
#include <proto/dos.h>

#include "jumptable.h"

char *hi_msg = "AbortPktPatch 0.1\n";
char *bye_msg = "Done\n";

int
main ()
{
  char *errstr;

  if (DOSBase = (struct DosLibrary *) OpenLibrary ("dos.library", 37))
  {
    Write (Output(), hi_msg, strlen (hi_msg));

    if (errstr = InstallWedge ())
      Write (Output(), errstr, strlen (errstr));
    else
    {
      Wait (SIGBREAKF_CTRL_C);
      Write (Output(), bye_msg, strlen (bye_msg));
      RemoveWedge ();
    }
    CloseLibrary ((struct Library *) DOSBase);
  }
}
